Class | ActiveMerchant::Billing::NetRegistryGateway
In: | lib/active_merchant/billing/gateways/net_registry.rb
Parent: | Gateway

Gateway for netregistry.com.au.

Note that NetRegistry itself uses gateway service providers. At the time of this writing, there are at least two (Quest and Ingenico). This module has only been tested with Quest.

Also note that NetRegistry does not offer a test mode, nor does it have support for the authorize/capture/void functionality by default (you may arrange for this as described in "Programming for NetRegistry‘s E-commerce Gateway." [rubyurl.com/hNG]), and no void functionality is documented. As a result, the authorize and capture have not yet been tested through a live gateway, and void will raise an error.

If you have this functionality enabled, please consider contributing to ActiveMerchant by writing tests/code for these methods, and submitting a patch.

In addition to the standard ActiveMerchant functionality, the response will contain a ‘receipt’ parameter (response.params[‘receipt’]) if a receipt was issued by the gateway.

### Methods

authorize capture credit new purchase status

### Constants

URL | = | 'https://4tknox.au.com/cgi-bin/themerchant.au.com/ecom/external2.pl'
FILTERED_PARAMS | = | [ 'card_no', 'card_expiry', 'receipt_array' ]
TRANSACTIONS | = | { :authorization => 'preauth', :purchase => 'purchase', :capture => 'completion', :status => 'status', :credit => 'refund'

### Public Class methods

new(options = {})

Create a new NetRegistry gateway.

Options :login and :password must be given.

### Public Instance methods

authorize(money, credit_card, options = {})

Note that authorize and capture only work if your account vendor is St George, and if your account has been setup as described in "Programming for NetRegistry‘s E-commerce Gateway." [rubyurl.com/hNG]

capture(money, authorization, options = {})

Note that authorize and capture only work if your account vendor is St George, and if your account has been setup as described in "Programming for NetRegistry‘s E-commerce Gateway." [rubyurl.com/hNG]

credit(money, identification, options = {})
purchase(money, credit_card, options = {})
status(identification)

Specific to NetRegistry.

Run a ‘status’ command. This lets you view the status of a completed transaction.

[Validate]